Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class Query

    java.lang.Object
      de.grogra.xl.query.Query

All Implemented Interfaces:
  BytecodeSerialization.Serializable

    public final class Query

extends java.lang.Object
implements BytecodeSerialization.Serializable

Constructor Summary
`Query(CompoundPattern predicate, boolean forProduction, Variable queryState, Variable[] variables)`

Method Summary
`static Graph` | `currentGraph(RuntimeModel model)`
`void` | `findBooleanMatches(BooleanConsumer cons, Frame frame, QueryState qs)`
`void` | `findByteMatches(ByteConsumer cons, Frame frame, QueryState qs)`
`void` | `findCharMatches(CharConsumer cons, Frame frame, QueryState qs)`
`void` | `findDoubleMatches(DoubleConsumer cons, Frame frame, QueryState qs)`
`void` | `findFloatMatches(FloatConsumer cons, Frame frame, QueryState qs)`
`void` | `findIntMatches(IntConsumer cons, Frame frame, QueryState qs)`
`void` | `findLongMatches(LongConsumer cons, Frame frame, QueryState qs)`
`void` | `findObjectMatches(ObjectConsumer cons, Frame frame, QueryState qs)`
`void` | `findShortMatches(ShortConsumer cons, Frame frame, QueryState qs)`
`void` | `findVoidMatches(VoidConsumer cons, Frame frame, QueryState qs)`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query(CompoundPattern predicate,
                 boolean forProduction,
                 Variable queryState,
                 Variable[] variables)

Method Detail

### currentGraph

    public static Graph currentGraph(RuntimeModel model)

### findBooleanMatches

    public void findBooleanMatches(BooleanConsumer cons,
                                   Frame frame,
                                   QueryState qs)

### findByteMatches

    public void findByteMatches(ByteConsumer cons,
                                Frame frame,
                                QueryState qs)

### findCharMatches

    public void findCharMatches(CharConsumer cons,
                                Frame frame,
                                QueryState qs)

### findDoubleMatches

    public void findDoubleMatches(DoubleConsumer cons,
                                  Frame frame,
                                  QueryState qs)

### findFloatMatches

    public void findFloatMatches(FloatConsumer cons,
                                 Frame frame,
                                 QueryState qs)

### findIntMatches

    public void findIntMatches(IntConsumer cons,
                               Frame frame,
                               QueryState qs)

### findLongMatches

    public void findLongMatches(LongConsumer cons,
                                Frame frame,
                                QueryState qs)

### findObjectMatches

    public void findObjectMatches(ObjectConsumer cons,
                                  Frame frame,
                                  QueryState qs)

### findShortMatches

    public void findShortMatches(ShortConsumer cons,
                                 Frame frame,
                                 QueryState qs)

### findVoidMatches

    public void findVoidMatches(VoidConsumer cons,
                                Frame frame,
                                QueryState qs)

### write

    public void write(BytecodeSerialization out)
               throws java.io.IOException

  Specified by:
    `write` in interface `BytecodeSerialization.Serializable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD